UI hang on "modification-failed"
Closed, ResolvedPublic

Description

I clicked "Approve" for statement ID 7560244 (subject Q3298662 Property:P1346 object Q3608161) and got a tiny red window (class="mw-notification-area") saying "notification-failed". Clicking the window dismissed it, but the spinner that replaced the approve button.

There are a couple of problems with this:

the error notification is in a different part of the screen than the users gaze, potentially a long way away
the spinner isn't dismissed (which also makes the notification easier to miss)

Reference : https://phabricator.wikimedia.org/T148155

Related Objects

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2016, 12:38 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 22 2017, 4:55 PM
Hjfocs closed this task as Resolved.May 23 2018, 2:22 PM
Hjfocs moved this task from To do to Done on the Wikidata-primary-sources board.
Hjfocs claimed this task.
Hjfocs added a subscriber: Hjfocs.

Related to version 1.
Should work in version 2.